Subject: Re: [PATCH 11/31]: net: Implement simple sw TX hashing.

From: Brice Goglin <[email-masked]>
Date: Sun, 03 Aug 2008 14:35:46 +0200

Brice Goglin wrote:
> So I wonder if we shouldn't change all this into:
> 1) simple_tx_hash(skb) returns a big protocol-independent integer (like
> a concatenation or basic xor of IP proto/addr/...). It basically just
> converts the skb header in something flat and proto-independent.
> 2.a) if the device provides select_queue(), we pass this integer to it.
> select_queue() either uses the skb headers if it really wants to hash IP
> or IPv6 precisely, or uses our protocol-independent integer and just
> hash it in a dumb way without caring about the protocol hidden behind it.
> 2.b) if there's no select_queue(), we hash the big integer depending on
> the number of tx queues
>   

Or (easier) just export simple_tx_hash() to modules so that drivers can
rely on it to hash protocols that they have no clue about?

Brice